\begin{latin}

\begin{tikzpicture}[x=0.75pt,y=0.75pt,yscale=-1,xscale=1]
%uncomment if require: \path (0,635); %set diagram left start at 0, and has height of 635

%Shape: Rectangle [id:dp8428750508396599] 
\draw   (60.69,170) -- (150.69,170) -- (150.69,210) -- (60.69,210) -- cycle ;

%Shape: Rectangle [id:dp41122943017363855] 
\draw   (60.69,250) -- (150.69,250) -- (150.69,290) -- (60.69,290) -- cycle ;

%Shape: Rectangle [id:dp18286896609430903] 
\draw   (60.69,210) -- (150.69,210) -- (150.69,250) -- (60.69,250) -- cycle ;

%Shape: Rectangle [id:dp8430941768242757] 
\draw   (400,59) -- (490,59) -- (490,90) -- (400,90) -- cycle ;

%Rounded Rect [id:dp14650033677173635] 
\draw   (380,38.5) .. controls (380,33.81) and (383.81,30) .. (388.5,30) -- (511.5,30) .. controls (516.19,30) and (520,33.81) .. (520,38.5) -- (520,131.5) .. controls (520,136.19) and (516.19,140) .. (511.5,140) -- (388.5,140) .. controls (383.81,140) and (380,136.19) .. (380,131.5) -- cycle ;
%Shape: Rectangle [id:dp8013110079962931] 
\draw   (400.6,99) -- (505.9,99) -- (505.9,130) -- (400.6,130) -- cycle ;

%Straight Lines [id:da8358447320048874] 
\draw  [dash pattern={on 4.5pt off 4.5pt}]  (150.69,190) -- (400,70) ;


%Shape: Rectangle [id:dp08218155115748127] 
\draw   (60.69,400) -- (160.69,400) -- (160.69,440) -- (60.69,440) -- cycle ;

%Straight Lines [id:da37639881216745974] 
\draw  [dash pattern={on 4.5pt off 4.5pt}]  (150.69,230) -- (400,190) ;


%Shape: Rectangle [id:dp7558326378024458] 
\draw   (60.69,330) -- (150.69,330) -- (150.69,370) -- (60.69,370) -- cycle ;

%Shape: Rectangle [id:dp06511955395146041] 
\draw   (60.69,290) -- (150.69,290) -- (150.69,330) -- (60.69,330) -- cycle ;

%Straight Lines [id:da6032765580648329] 
\draw  [dash pattern={on 4.5pt off 4.5pt}]  (150.69,270) -- (400,310) ;


%Straight Lines [id:da6207720234003105] 
\draw  [dash pattern={on 4.5pt off 4.5pt}]  (150.69,310) -- (400,430) ;


%Straight Lines [id:da5877887170944478] 
\draw  [dash pattern={on 4.5pt off 4.5pt}]  (150.69,350) -- (400,550) ;


%Straight Lines [id:da6050044787272018] 
\draw  [dash pattern={on 4.5pt off 4.5pt}]  (160.69,420) -- (400,110) ;


%Straight Lines [id:da7759306160828217] 
\draw  [dash pattern={on 4.5pt off 4.5pt}]  (160.69,420) -- (400,590) ;


%Straight Lines [id:da917937934178173] 
\draw  [dash pattern={on 4.5pt off 4.5pt}]  (160.69,420) -- (400,470) ;


%Straight Lines [id:da2985426323823046] 
\draw  [dash pattern={on 4.5pt off 4.5pt}]  (160.69,420) -- (400,230) ;


%Straight Lines [id:da731242890847617] 
\draw  [dash pattern={on 4.5pt off 4.5pt}]  (160.69,420) -- (400,350) ;


%Shape: Rectangle [id:dp6859792422331472] 
\draw   (400,179) -- (490,179) -- (490,210) -- (400,210) -- cycle ;

%Rounded Rect [id:dp21552340668861225] 
\draw   (380,158.5) .. controls (380,153.81) and (383.81,150) .. (388.5,150) -- (511.5,150) .. controls (516.19,150) and (520,153.81) .. (520,158.5) -- (520,251.5) .. controls (520,256.19) and (516.19,260) .. (511.5,260) -- (388.5,260) .. controls (383.81,260) and (380,256.19) .. (380,251.5) -- cycle ;
%Shape: Rectangle [id:dp9417222000952608] 
\draw   (400.6,219) -- (505.9,219) -- (505.9,250) -- (400.6,250) -- cycle ;

%Shape: Rectangle [id:dp6836943125557202] 
\draw   (400,299) -- (490,299) -- (490,330) -- (400,330) -- cycle ;

%Rounded Rect [id:dp797949471468343] 
\draw   (380,278.5) .. controls (380,273.81) and (383.81,270) .. (388.5,270) -- (511.5,270) .. controls (516.19,270) and (520,273.81) .. (520,278.5) -- (520,371.5) .. controls (520,376.19) and (516.19,380) .. (511.5,380) -- (388.5,380) .. controls (383.81,380) and (380,376.19) .. (380,371.5) -- cycle ;
%Shape: Rectangle [id:dp433345807152393] 
\draw   (400,339) -- (510,339) -- (510,370) -- (400,370) -- cycle ;

%Shape: Rectangle [id:dp03354879456209403] 
\draw   (400,419) -- (490,419) -- (490,450) -- (400,450) -- cycle ;

%Rounded Rect [id:dp9762110003452296] 
\draw   (380,398.5) .. controls (380,393.81) and (383.81,390) .. (388.5,390) -- (511.5,390) .. controls (516.19,390) and (520,393.81) .. (520,398.5) -- (520,491.5) .. controls (520,496.19) and (516.19,500) .. (511.5,500) -- (388.5,500) .. controls (383.81,500) and (380,496.19) .. (380,491.5) -- cycle ;
%Shape: Rectangle [id:dp9527383858337823] 
\draw   (400,459) -- (510,459) -- (510,490) -- (400,490) -- cycle ;

%Shape: Rectangle [id:dp09181938165340808] 
\draw   (400,539) -- (490,539) -- (490,570) -- (400,570) -- cycle ;

%Rounded Rect [id:dp8813069377902596] 
\draw   (380,518.5) .. controls (380,513.81) and (383.81,510) .. (388.5,510) -- (511.5,510) .. controls (516.19,510) and (520,513.81) .. (520,518.5) -- (520,611.5) .. controls (520,616.19) and (516.19,620) .. (511.5,620) -- (388.5,620) .. controls (383.81,620) and (380,616.19) .. (380,611.5) -- cycle ;
%Shape: Rectangle [id:dp024987314559172136] 
\draw   (400,579) -- (510,579) -- (510,610) -- (400,610) -- cycle ;

%Curve Lines [id:da022760126221704313] 
\draw    (60.69,420) .. controls (38.88,396.73) and (39.41,376.57) .. (59.44,351.54) ;
\draw [shift={(60.69,350)}, rotate = 489.53] [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.75]  [draw opacity=0] (8.93,-4.29) -- (0,0) -- (8.93,4.29) -- cycle    ;

%Curve Lines [id:da6454960297023362] 
\draw    (60.69,420) .. controls (31.23,403.42) and (25.55,349.35) .. (59.64,311.15) ;
\draw [shift={(60.69,310)}, rotate = 492.66] [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.75]  [draw opacity=0] (8.93,-4.29) -- (0,0) -- (8.93,4.29) -- cycle    ;

%Curve Lines [id:da9583102896929607] 
\draw    (60.69,420) .. controls (9.22,403.99) and (24.46,289.75) .. (59.09,270.8) ;
\draw [shift={(60.69,270)}, rotate = 515.56] [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.75]  [draw opacity=0] (8.93,-4.29) -- (0,0) -- (8.93,4.29) -- cycle    ;

%Curve Lines [id:da5295222643697242] 
\draw    (60.69,420) .. controls (-16.88,401.04) and (18.82,237.76) .. (58.86,230.23) ;
\draw [shift={(60.69,230)}, rotate = 536.14] [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.75]  [draw opacity=0] (8.93,-4.29) -- (0,0) -- (8.93,4.29) -- cycle    ;

%Curve Lines [id:da9383114549627021] 
\draw    (60.69,420) .. controls (-47.47,404.41) and (12.7,204.8) .. (59.28,190.38) ;
\draw [shift={(60.69,190)}, rotate = 527.05] [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.75]  [draw opacity=0] (8.93,-4.29) -- (0,0) -- (8.93,4.29) -- cycle    ;


% Text Node
\draw (105.69,190) node  [align=left] {Processor 1};
% Text Node
\draw (105.69,270) node  [align=left] {Processor 3};
% Text Node
\draw (105.69,230) node  [align=left] {Processor 2};
% Text Node
\draw (100,119) node  [align=left] {Server side};
% Text Node
\draw (445,74.5) node  [align=left] {Processor 1};
% Text Node
\draw (453.25,114.5) node  [align=left] {ImageDataset};
% Text Node
\draw (110.69,420) node  [align=left] {ImageDataset};
% Text Node
\draw (105.69,310) node  [align=left] {Processor 4};
% Text Node
\draw (105.69,350) node  [align=left] {Processor 5};
% Text Node
\draw (416.81,39) node  [align=left] {Client 1};
% Text Node
\draw (412.5,159) node  [align=left] {Client 2};
% Text Node
\draw (453.25,234.5) node  [align=left] {ImageDataset};
% Text Node
\draw (445,194.5) node  [align=left] {Processor 2};
% Text Node
\draw (412.5,279) node  [align=left] {Client 3};
% Text Node
\draw (455,354.5) node  [align=left] {ImageDataset};
% Text Node
\draw (445,314.5) node  [align=left] {Processor 3};
% Text Node
\draw (412.5,399) node  [align=left] {Client 4};
% Text Node
\draw (455,474.5) node  [align=left] {ImageDataset};
% Text Node
\draw (445,434.5) node  [align=left] {Processor 4};
% Text Node
\draw (412.5,519) node  [align=left] {Client 5};
% Text Node
\draw (455,594.5) node  [align=left] {ImageDataset};
% Text Node
\draw (445,554.5) node  [align=left] {Processor 5};


\end{tikzpicture}


\end{latin}